## org.gnu.gtk.event
Class FileChooserEvent.Type

    java.lang.Object
      org.gnu.glib.EventType
          org.gnu.gtk.event.FileChooserEvent.Type

Enclosing class:
  FileChooserEvent

public static class FileChooserEvent.Type
extends EventType

Field Summary
`static FileChooserEvent.Type` `CURRENT_FOLDER_CHANGED`
`static FileChooserEvent.Type` `FILE_ACTIVATED`
`static FileChooserEvent.Type` `SELECTION_CHANGED`
`static FileChooserEvent.Type` `UPDATE_PREVIEW`

Method Summary
`static FileChooserEvent.Type[]` `getTypes()`

Methods inherited from class org.gnu.glib.EventType
`getID, getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CURRENT_FOLDER_CHANGED

    public static final FileChooserEvent.Type CURRENT_FOLDER_CHANGED

### FILE_ACTIVATED

    public static final FileChooserEvent.Type FILE_ACTIVATED

### SELECTION_CHANGED

    public static final FileChooserEvent.Type SELECTION_CHANGED

### UPDATE_PREVIEW

    public static final FileChooserEvent.Type UPDATE_PREVIEW

Method Detail

### getTypes

    public static FileChooserEvent.Type[] getTypes()